<div dir="ltr"><br><div class="gmail_extra"><br><div class="gmail_quote">On Wed, May 18, 2016 at 4:55 PM, Fabio Berton <span dir="ltr"><<a href="mailto:fabio.berton@ossystems.com.br" target="_blank">fabio.berton@ossystems.com.br</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">RDEPENDS has dependence recipe with recommended version like:<br>
<br>
 - gunicorn (= 19.1.1)<br>
<br>
This syntax only work if we use rpm for package class, we can't<br>
use this syntax with ipk package class.<br></blockquote><div><br></div><div>I'm about to remove the registry package completely, so I'll sit on this patch for a bit. There</div><div>won't be any dependencies (outside of docker) once it is complete .. and hence this won't</div><div>be required.</div><div><br></div><div>Bruce</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<br>
Signed-off-by: Fabio Berton <<a href="mailto:fabio.berton@ossystems.com.br">fabio.berton@ossystems.com.br</a>><br>
---<br>
 .../docker-registry/<a href="http://docker-registry_git.bb" rel="noreferrer" target="_blank">docker-registry_git.bb</a>         | 36 +++++++++++-----------<br>
 1 file changed, 18 insertions(+), 18 deletions(-)<br>
<br>
diff --git a/recipes-containers/docker-registry/<a href="http://docker-registry_git.bb" rel="noreferrer" target="_blank">docker-registry_git.bb</a> b/recipes-containers/docker-registry/<a href="http://docker-registry_git.bb" rel="noreferrer" target="_blank">docker-registry_git.bb</a><br>
index 3d8d74b..17a5ae1 100644<br>
--- a/recipes-containers/docker-registry/<a href="http://docker-registry_git.bb" rel="noreferrer" target="_blank">docker-registry_git.bb</a><br>
+++ b/recipes-containers/docker-registry/<a href="http://docker-registry_git.bb" rel="noreferrer" target="_blank">docker-registry_git.bb</a><br>
@@ -24,27 +24,27 @@ PV = "0.9.1+git${SRCREV}"<br>
<br>
 RDEPENDS_${PN} += "\<br>
   docker \<br>
-  gunicorn (= 19.1.1) \<br>
+  gunicorn  \<br>
   python-pip \<br>
   python-distribute \<br>
-  python-m2crypto (= 0.22.3) \<br>
-  python-pyyaml (= 3.11) \<br>
-  python-flask (= 0.10.1) \<br>
-  python-gevent (= 1.0.1) \<br>
+  python-m2crypto  \<br>
+  python-pyyaml  \<br>
+  python-flask  \<br>
+  python-gevent  \<br>
   python-requests \<br>
-  python-sqlalchemy (>= 0.9.4) \<br>
-  python-blinker (= 1.3) \<br>
-  python-backports-lzma (= 0.0.3) \<br>
-  python-flask-cors (= 1.10.3) \<br>
-  python-bugsnag (= 2.0.2) \<br>
-  python-docker-registry-core (= 2.0.3) \<br>
-  python-newrelic (= 2.22.0.19) \<br>
-  python-itsdangerous (>= 0.21) \<br>
-  python-jinja2 (>= 2.4) \<br>
-  python-werkzeug (>= 0.7) \<br>
-  python-simplejson (>= 3.6.2) \<br>
-  python-redis (= 2.10.3) \<br>
-  python-boto (= 2.34.0) \<br>
+  python-sqlalchemy  \<br>
+  python-blinker  \<br>
+  python-backports-lzma  \<br>
+  python-flask-cors  \<br>
+  python-bugsnag  \<br>
+  python-docker-registry-core  \<br>
+  python-newrelic  \<br>
+  python-itsdangerous  \<br>
+  python-jinja2  \<br>
+  python-werkzeug  \<br>
+  python-simplejson  \<br>
+  python-redis  \<br>
+  python-boto  \<br>
   python-webob \<br>
   "<br>
 # OFFICIAL REQ:<br>
<span class="HOEnZb"><font color="#888888">--<br>
2.1.4<br>
<br>
--<br>
_______________________________________________<br>
meta-virtualization mailing list<br>
<a href="mailto:meta-virtualization@yoctoproject.org">meta-virtualization@yoctoproject.org</a><br>
<a href="https://lists.yoctoproject.org/listinfo/meta-virtualization" rel="noreferrer" target="_blank">https://lists.yoctoproject.org/listinfo/meta-virtualization</a><br>
</font></span></blockquote></div><br><br clear="all"><div><br></div>-- <br><div class="gmail_signature">"Thou shalt not follow the NULL pointer, for chaos and madness await thee at its end"</div>
</div></div>